tvecratio(1)

NAME
tvecratio - show ratio of tvecs of the same name from 2 tvec files

SYNOPSIS
tvecratio [-i infile] [-o outfile] [-S N nam1 ... namN]
            [-c N nam1 ... namN]

DESCRIPTION
tvecratio takes two concatonated tvec files as input. For every tvec name given in the -c list, tvecratio will simply output the first tvec of that name found in the input stream, and ignore any others. Every tvec name given in the -R list must appear in both files, and only the first instance of that name will be taken from each file. The taken tvec names must be of type double, with the same length and nreps. These tvecs from the two separate files will be output as a ratio of file1 / file2. The tvec ordering of their removal from the input lists, and their output will be first all -c tvecs followed by all -R tvecs. Within a given name list, they will be in the order given on the command line.

So, given the flags -R MFLOP -c M, the first tvec with name M will be output without change, while MFLOP will become the ratio of file 1 over file 2 (so values < 1 indicate file1's data is smaller than file2's). tvecratio can help to determine the impact of a proposed code change on performance.

OPTIONS

-i infile
    Take input from infile, rather than stdin.

-o outfile
    Write tvecs to outfile, rather than stdout.

-c N nam1 ... namN
    Output will include only the first tvec found in the stream of a given name, and it will by unchanged.

-R N nam1 ... namN
    Named tvecs must appear in both tvec files, and the output tvec will be file1/file2

EXAMPLE
cat LU_new.tv LU_old.tv | tvecratio -c 1 M -R 1 MFLOP

BUGS
http://math-atlas.sourceforge.net/faq.html#help

SEE ALSO
atltvecs(7) tvecget(1) tvecunify() tveccat(1) tvecselect(1) tvecratio(1) tvecjoin(1) tvecscale(1) tvecreduce(1) tvecrename(1) tvecprint(1)

AUTHOR
R. Clint Whaley